Page MenuHomePhabricator

E-mails not being received by OTRS
Closed, ResolvedPublic

Description

Emails to info-nl@wikilovesmonuments.eu , info@wikilovesmonuments.nl , wikilovesmonuments@wikimedia.nl , wikilovesmonuments@wmnederland.nl , wlm@wikimedia.nl are not being received anymore by OTRS.
I send testmails this afternoon and they should end up in the wlm-nl queue, but where lost somehow. Only the mail to info-nl@wikilovesmonuments.org still ends up in the right queue.

Event Timeline

Ciell created this task.Sep 10 2016, 5:42 PM
Restricted Application added subscribers: TerraCodes, Rjd0060, Aklapper. · View Herald TranscriptSep 10 2016, 5:42 PM

Address configuration is still valid, I checked them. Emails are not found in a search in OTRS, which indicates there is a problem with mail configuration.

AlexMonk-WMF added a subscriber: AlexMonk-WMF.

@wikimedia.nl and @wmnederland.nl won't work, they're not in files/exim/wikimedia_domains
@wikilovesmonuments.eu and @wikilovesmonuments.nl should work

Ciell added a comment.Sep 10 2016, 7:43 PM

Both @wikimedia.nl and @wmnederland.nl belong to the Dutch Chapter WMNL, yes.

siebrand added a comment.EditedSep 12 2016, 11:21 AM

wikilovesmonuments@wikimedia.nl is a Google Group with the following aliases:

  • wlm@wikimedia.nl and
  • wikilovesmonuments@wmnederland.nl

Messages to this group are not archived, and it has a single member:

  • info-nl@wikilovesmonuments.org (since 2012-11-28)

The current status for this member is that messages are bounced. This lies beyond control of Wikimedia Nederland. The Wikimedia Foundation mailserver should allow forwarded emails from this email address.

Google states that info-nl@wikilovesmonuments.org (presumed the Google account of that email adress) should update its bounce status.

faidon added a subscriber: faidon.Sep 13 2016, 9:43 PM

Regarding info-nl@wikilovesmonuments.eu: this domain has no MX record, its A does not respond to port 25 and its AAAA points to an unreachable address. Emails to this domain won't work and the domain is not under the control of the WMF, so I can't really do anything about it.

Regarding info@wikilovesmonuments.nl: this domain has ancient MX records to servers that don't exist anymore (lead/polonium) and last existed over a year ago. This won't work either and I don't think it should be fixed by updating the MX records to our new MXes. This staleness has happened multiple times before with this and other (WLM, mostly) domains and has caused friction before, when we tried to notify their owners about changes in our infrastructure. As we're not an email provider, we can't commit to using the same hostnames forever or coordinate infrastructure changes with a number of varous different entities. The only reasonable way forward, in general, IMHO is to place MXes, DNS servers and domains under the control of the same entity. So, either this domain gets transferred to the WMF (and we'd be happy to have it as a first class citizen of ours), or whoever owns it (WMNL? not sure) sets up the mailservers for it, perhaps pointed to the same mailservers as wikimedia.nl.

Finally, regarding wikilovesmonuments@wikimedia.nl, wlm@wikimedia.nl and and wikilovesmonuments@wmnederland.nl: these domains are not under our control, nor are they configured exclusively for OTRS (and thus we can't handle individual localparts of them). As @siebrand notes, these addresses are expanded by the WMNL mailserver to info-nl@wikilovesmonuments.org, which is configured for OTRS, so this should be fine and work.

I'm not sure why it doesn't and emails to these addresses above bounce. MX records for wikilovesmonuments.org are (sort of) correct but we also don't own this domain (WMDE does), so perhaps this may have been a recent fix? (This is really the same problem regarding the shared ownership of the WLM mail setup :/)

I'm also not sure what "updat[ing] its bounce status" means — I don't know much about Google Groups and I don't have permission to access that link above. To debug this further, I'd like to see one of those bounces, as without one, I'm flying a little blind here. Thanks!

The address info-nl@wikilovesmonuments.org does work, sending the email into OTRS, see 2016091410000178 SOA suggests DNS was last changed on ago 19th.

wikilovesmonuments@wikimedia.nl doesn't work (no bounce received so far, either). As the domain mail is handled by Google, there's little that can be done here if it gets stubborn. You may have better luck changing the address from a mailing list to a mailbox, and setting a forward rule there.

As for wikilovesmonuments.eu/wikilovesmonuments.nl, given that WM-NL is not using its own mail server, that may be a bit harder to configure. We could forward it for you from WM-ES server if you want.

Dzahn triaged this task as High priority.Sep 22 2016, 2:36 AM
Ciell added a comment.Oct 10 2016, 6:08 PM

Is some-one still working on this?

I don't think so. Who do you think should act on this, given the above information?

RobH added a subscriber: RobH.

So as part of my ops clinic duties, I've been seeking out older, unowned Operations tasks. This falls into that net.

This task seems to be nearly a year old, and seems to involve things outside of the control of WMF.

The fix seems to be updating a google group, that is outside the purview of WMF operations, and seems to be likely outside the control of WMF itself.

As there is nothing that can be done from our perspective, should this still be open? This seems to require some work on the part Dutch Chapter WMNL for the domain/MX/mail settings. Not sure there is anything to change in the WMF mail server settings, seems not from the above comments.

Even though Wiki-Loves-Monuments is its own project, this seems like it is likely outside the scope of it. It most certainly seems to warranty removal of the Operations, OTRS, and Mail tags, since its something outside of the control of any of those areas (operations, mail) or configuration (otrs).

I'd advise this task be declined, once WMNL is aware of it.

Ciell added a comment.Aug 12 2017, 2:53 PM

WMNL is aware of the problem: as the Dutch WLM team we (tried to) have changed all the old mail addresses in the only working one.
I think the task can be closed.

Aklapper closed this task as Resolved.Aug 22 2017, 11:15 AM

Thanks for the update! Closing as per last comment.